Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles
Jobs

That is not a dedicated video card. 

According to the log your OpenGL version was 2.1.0 which means it doesnt support the minium requirements for the game ( OpenGL 3.3)

oh ok ty for helping